Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Fillings

Get Fillings
GET /serviceforms/{serviceFormId}/forms/{formId}/fillings
https://api.relesysapp.net/api/v1/serviceforms/{serviceFormId}/forms/{formId}/fillings
Get a list of fillings for the form with ID formId.

The fillings contain information about which department it was created for, as well the general score for the filling.

fillingScore - This field displays the sum of all points given for the filling. The fillingScore will be null if no related field contains a data list of type "Scored".

performancePercent - This field displays the performance percentage (0-100%) between the given filling score and the highest possible filling score. If the filling score would be 95 out of a possible 100 the performancePercent would display 95.0.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
fillingScore integer Filterable Sortable optional
id string / guid Filterable optional
isDraft boolean Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentFillingId string / guid Filterable optional
performancePercent double Filterable optional
serviceFormId string / guid Filterable optional
number integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"7369acc2-cadf-40c8-b92b-2c4ff9950776","formId":"1accfb9c-680f-46cb-828e-d5ed6e173c1b","parentFillingId":"ffc09036-5c96-49bc-998f-269b262b4d36","departmentId":"73dd1c4d-69ac-48a8-a00e-1251cb94e061","number":1,"isDraft":false,"creationDateTime":"2026-05-10T15:53:42.3457089+00:00","lastModifiedDateTime":"2026-05-15T15:53:42.3457089+00:00","fillingScore":5,"performancePercent":85.62},{"id":"191aa758-615a-4a7a-a2c2-a2adb4561919","formId":"c452073d-f2e4-45c9-823e-e061ecfd5209","parentFillingId":null,"departmentId":"f086884e-f3bf-429a-8954-53f8c9211d31","number":1,"isDraft":false,"creationDateTime":"2026-05-10T15:53:42.3457089+00:00","lastModifiedDateTime":null,"fillingScore":null,"performancePercent":null}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   fillingScore integer      
   formId string / guid      
   id string / guid      
   isDraft boolean      
   lastModifiedDateTime datetimeoffset      
   number integer      
   parentFillingId string / guid      
   performancePercent double      
  nextUrl string      
  previousUrl string